Update skill

Update skill. See the OpenAPI-defined parameters, request body, and responses below.

PUT /Skill/{id}

Update skill. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint atualiza uma skill do tenant atual.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: SkillDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
tenantIdinteger · int32No——
namestringNo—nullable; maxLength: 64
descriptionstringNo—nullable; maxLength: 1024
contentstringNo—nullable
enabledbooleanNo——

Example request

curl --request PUT \
  --url 'https://api.zild.ai/Skill/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "tenantId": 0,
  "name": "string",
  "description": "string",
  "content": "string",
  "enabled": true
}'

Responses

StatusDescriptionResponse body
200Skill atualizada com sucessoNo response body is defined.

Data models

SkillDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
tenantIdinteger · int32No——
namestringNo—nullable; maxLength: 64
descriptionstringNo—nullable; maxLength: 1024
contentstringNo—nullable
enabledbooleanNo——